<html>
<head>
<title>Privacy Policy</title>
<!-- <meta name="body-id" content="about" /> -->
<style type="text/css" media="screen">
    @import "styles/interior.css";
</style>
</head>
<body>


    <!-- BEGIN body area -->
    <div id="ignite_body">
        
        <!-- BEGIN left column (main content) -->
        <div id="ignite_body_leftcol">
            
            <!-- BEGIN body content area -->
            <div id="ignite_int_body">
            
                <!-- BEGIN body header -->
                <div id="ignite_body_header">
                    <h1>Ignite Realtime Privacy Policy</h1>
                </div>
                <!-- END body header -->
                
                
                <div class="ignite_int_body_padding">
                    

                    <p>
We at Jive Software ("Jive" or "we") respect your individual privacy.  This privacy policy
documents our adherence to the highest industry standards for the protection of your personal
information.  The policy is effective as of May 11, 2005, applies to the site igniterealtime.org,
and covers the following areas:
</p>

<ul>
    <li>What personally identifiable information is collected by Jive or by any third party
        through our site.
    </li>

    <li>How Jive uses this information.</li>
    <li>With whom Jive may share customer information.</li>
    <li>What choices are available to you as a customer with respect to collection, use
        and distribution of the information.
    </li>
    <li>What types of security procedures are in place to protect the loss, misuse or
        alteration of information under our control.
    </li>
    <li>How you can correct any inaccuracies in the information.</li>
</ul>

<ol>
    <li>
        <h4>Acceptance of Terms</h4>
        <p>
        Before you begin setting up your account with Jive, please read the following Privacy Policy
        and Terms of Use (the "Terms") carefully. Your use of the Jivesoftware.com site (the "Service")
        manifests your acceptance of the Terms.  Any violation of the Terms may result in termination of
        our Service to you.  Jive reserves the right to change these Terms from time to time.  Please refer
        to this site periodically for any changes.
        </p>
    </li>

    <li>
        <h4>Information Collection and Use</h4>

        <p>
        Jive is the sole owner of the information collected on the site. Jive may collect information
        at several different stages.  First, we collect anonymous, aggregate information from all visitors
        to the site.  This type of information is never linked to any personally identifiable information
        and is only used in the aggregate to generate statistical reports about the use of our site.  Second,
        we require the submission of certain personally identifiable information (name and e-mail
        address) when you sign up for a user account.  Registration allows you to post to our Support
        Forums and otherwise access a broader range of online resources.  The same items of personal
        information are required if you subscribe to receive our newsletter, or if you send an e-mail
        inquiry to our customer service department.  Some additional information (telephone number and
        company name) is required if you download an evaluation copy of one of Jive's software
        products.
        </p>
    </li>

    <li>
        <h4>Personal Information of Children Under 13</h4>
        <p>
        Jive complies with the requirements of the Childrens Online Privacy Protection Act
        (COPPA) and the FTC's Rule interpreting COPPA (16 CFR &sect; 512).  Jivesoftware.com is not
        directed to children and does not knowingly collect any personally identifiable information from
        children under 13 years of age.
        </p>

    <li>
        <h4>Protection of Your Personal Information</h4>
        <p>
        Jive does not sell, rent or share customer information with any third party not affiliated with
        or owned by Jive, except service providers who assist Jive in such areas as data storage or direct
        mailing.  Jive will never give or sell your personal information to be used for the purposes of
        sending you unsolicited commercial offers (such as spam) from any third party.  We may send
        you infrequent e-mail notices regarding Jive products or services that may be of interest to you.
        You may choose not to receive these notices.  To opt-out of Jive's mailing list, click the link at
        the end of the e-mail, log in to your account and change the preferences, or send e-mail to our
        customer service department.  We will promptly honor your opt-out request.
        We will use your e-mail address to send you the Jive newsletter if you have requested it, but
        we will promptly honor your request to unsubscribe from the newsletter.
        We may need to contact you regarding the status of an order or in response to a request from
        you. You may not opt-out of these kinds of communications.
        </p>
    </li>

    <li>
        <h4>Profile</h4>

        <p>
        We may store information that we collect through cookies and log files to create a profile of
        our customers.  A profile is stored information detailing how individual customers use the site.
        Collected information in a profile is tied to the customer's personally identifiable information.
        However, your profile is used solely for internal purposes, to help us improve the experience of
        our customers.  We do not share your profile with any third parties.
        </p>
        
        <h4>Cookies</h4>
        <p>
        A cookie is a small text file stored on the customer's hard drive for an extended period of
        time. The cookies can be removed by following Internet browser help file directions.  Allowing
        the Jivesoftware.com cookie to remain on your computer makes it easier for you to log in to and
        use the site.  If you reject the cookie, you may still use the site, but you will be required to verify
        your identity at various points.
        </p>
        
        <h4>Log Files</h4>
        <p>
        Log files record internet protocol (IP) addresses, browser types, internet service provider
        (ISP), referring/exit pages, platform type, date/time stamp, and number of clicks to analyze
        trends, administer the site, track a customer's movement in the aggregate, and gather broad
        demographic information for aggregate use.  IP addresses, etc. are not linked to personally
        identifiable information.
        </p>
    <li>
        <h4>Disclosure of Personal Information As Required By Law</h4>
        <p>
        We will disclose personal information when required by law, or if we have a good-faith
        belief that such action is necessary to comply with a current judicial proceeding, a court order or
        legal process served on us.
        </p>
    </li>

    <li>

        <h4>Business Transitions</h4>
        <p>
        In the event Jive goes through a business transition, such as a merger, acquisition by another
        company, or sale of a portion of its assets, our customers' personal information may be part of
        the assets transferred.  Customers will be notified via prominent notice on our Web site for 30
        days prior to a change of ownership or control of their personal information. If, as a result of the
        business transition, your personally identifiable information will be used in a manner materially
        different from that stated at the time of collection, you will be given a choice consistent with our
        Notification of Changes section.
        </p>
    </li>

    <li>
        <h4>Modifications to Service</h4>
        <p>

        Jive reserves the right at any time and from time to time to modify or discontinue the
        Service (or any part thereof), temporarily or permanently, with or without notice to you. You
        agree that Jive will not be liable to you for any modification, suspension or discontinuance of the
        Service.
        </p>
    </li>

    <li>
        <h4>User Account &amp; Password</h4>
        <p>
        When you create a user account, upon completing Jive's registration process you will
        receive a password and account designation. You are responsible for maintaining the
        confidentiality of the password, and you are fully responsible for all activities that occur under
        your password or account. You agree to immediately notify Jive of any unauthorized use of your
        password or account or any other breach of security, and to ensure that you log off at the end of
        each session. Jive is not liable to you for any loss or damage arising from your failure to comply
        with this Section.
        </p>

    </li>

    <li>
        <h4>Support Forum Content: No Editorial Control</h4>
        <p>
        You acknowledge that Jive does not control the content of postings to the Support Forum
        (the "Content").  You are solely responsible for any and all Content posted or otherwise
        transmitted through the Service by you or under your password and account, and you
        acknowledge that each person posting or transmitting Content through the Service is likewise
        responsible for that Content.  Jive is not liable for errors or omissions in the Content or for loss
        or damage of any kind incurred as a result of the use of any Content made available via the
        Service.
        </p>
    </li>

    <li>

        <h4>Support Forum Content: Restrictions</h4>
        <p>
        Although Jive does not exercise editorial control over the Content, we reserve the right to
        take action to prevent the misuse of the Service for unlawful or objectionable content.
        Accordingly, you agree not to use the Service to post, upload, or transmit any Content that is: (1)
        unlawful under the laws of any jurisdiction to which you or Jive are subject;  (2) harmful,
        threatening, harassing, defamatory, invasive of the privacy of another, or obscene (including
        without limitation any images or depictions of child abuse, child pornography, or minors
        engaged in sexual conduct or explicitly sexual situations); (3) insider information, or any other
        proprietary or confidential information;  (4) an infringement of any patent, trademark, trade
        secret, copyright or other intellectual property right;  (5) falsified, including without limitation
        the use of forged headers or otherwise manipulated identifiers in order to disguise its origin; or
        (6) containing or transmitting software viruses or any other malicious computer code, files or
        programs designed to interrupt, destroy or limit the functionality of any computer software.  You
        agree to indemnify and hold harmless Jive from any liability incurred as the result of your
        violation of these Terms, in accordance with the provisions of Section 21 of these Terms.
        </p>
    </li>

    <li>
        <h4>Jive's Compliance with Copyright Law</h4>
        <p>

        Jive will comply with applicable laws respecting copyright.  If you believe your copyright in
        a work has been infringed through our Service, please contact our agent for notice of claims of
        copyright violation via e-mail at legal@jivesoftware.com, or at ATTN: Legal, 317 SW Alder,
        Suite 500, Portland OR 97204. You must provide our agent with the following information in
        writing:  (1) a description of the copyrighted work you believe has been infringed; (2)
        information sufficient to identify the location of the allegedly infringing material on the Service;
        (3) your address, telephone number, and email address;  (4) a statement to the effect that you
        have a good faith belief that the disputed use is not authorized by the copyright owner, its agent,
        or the law;  (4) a declaration, under penalty of perjury, that the information you have provided is
        accurate and that you are the owner of the copyright involved or you are authorized to act on
        behalf of that owner;  (5) your physical or electronic signature.  Upon receiving your complaint,
        we may remove content that you believe infringes your copyright.  In addition, we may terminate
        the account of the registered user responsible for posting or transmitting the infringing material.
        </p>
    </li>

    <li>
        <h4>Termination of Service to You</h4>
        <p>
        Jive, in its sole discretion, may terminate your password, account (or any part thereof) or use
        of the Service, and remove and discard any Content within the Service, for any reason, including,
        without limitation, our belief that you have violated or acted inconsistently with the letter or
        spirit of these Terms. You agree that any termination of your access to the Service under any
        provision of these Terms may occur without prior notice to you, and that Jive will not be liable to
        you for termination of your access to the Service.
        </p>
    </li>

    <li>
        <h4>Age Requirement &amp; Registration Information</h4>
        <p>
        You must be at least 18 years of age to have a registered user account. You agree to: (a)
        provide accurate, current and complete information about yourself (the "Registration
        Information") as prompted by the registration form, and (b) maintain and promptly update the
        Registration Information to keep it true, accurate, current and complete.  If you provide any
        information that is untrue, inaccurate, not current or incomplete, or Jive has reasonable grounds
        to suspect that such information is untrue, inaccurate, not current or incomplete, Jive has the
        right to suspend or terminate your account and refuse any and all current or future use of the
        Service.
        </p>
    </li>

    <li>

        <h4>Links</h4>
        <p>
        This Web site contains links to other sites.  Jive is not responsible for the privacy practices or
        content of these other sites.  We encourage you to be aware when you leave our site and to read
        the privacy statements of each and every Web site that collects personally identifiable
        information. This privacy statement applies solely to information collected by Jivesoftware.com.
        </p>
    </li>

    <li>
        <h4>Security</h4>
        <p>

        Jive takes commercially reasonable precautions to protect our customers' information.  For
        example, when you log on to change your personal information, we encrypt your
        communications with SSL 128-bit encryption, the industry standard.  However, given the nature
        of the Internet and the fact that network security measures are not infallible, we cannot guarantee
        the security of your information.
        </p>
        <p>
        While we use encryption to protect sensitive information online, we also make an effort to
        protect your information off-line.  All of our customers' information, not just the sensitive
        information mentioned above, is restricted in our offices.  Only employees who need the
        information to perform a specific job (for example, our billing clerk or a customer service
        representative) are granted access to personally identifiable information.  All employees are kept
        up-to-date on our security and privacy practices.  Finally, the servers that store your personally
        identifiable information are housed in a secure environment.
        </p>
        <p>
        If you have any questions about the security at Jivesoftware.com, you can 
        <a href="https://www.jivesoftware.com/company/contact-form.jsp?source=Website-Ignite">send a message</a> to Customer Service.
        </p>
    </li>

    <li>
        <h4>Correcting, Updating, Deleting and Deactivating Personal Information</h4>
        <p>
        If your personally identifiable information changes, you may correct, update or delete and
        deactivate our record of your personally identifiable information.  Log in to your account to
        change your information.
        </p>
    </li>

    <li>
        <h4>Notification of Changes</h4>

        <p>
        If we decide to materially change our privacy policy, we will post a notice on the main page
        to alert you about the change.  In addition, if we make any material changes in our privacy
        practices that do not affect customer information already stored in our database, we will post a
        prominent notice on our Web site notifying customers of the change. In some cases where we
        post a notice we will also email customers, who have opted to receive communications from us,
        notifying them of the changes in our privacy practices.
        </p>
    </li>

    <li>
        <h4>Disclaimer of Warranties and Limitation of Liability</h4>
        <p>
        YOU AGREE THAT THE SERVICE IS PROVIDED TO YOU "AS IS" AND "AS
        AVAILABLE" WITHOUT ANY WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
        INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES OF
        MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-
        INFRINGEMENT.  Jive does not warrant that the Service will be available at any given time,
        secure, or free of error.  You use the Service at your own risk, and you assume the risk that any
        material downloaded by you from the Service may cause loss of data or damage to your
        computer system.
        <br/>

         YOU UNDERSTAND AND AGREE THAT IN NO EVENT WILL JIVE BE LIABLE
        FOR ANY DIRECT OR INDIRECT DAMAGES, EVEN IF JIVE IS AWARE OF THE
        POSSIBILITY OF SUCH DAMAGES, INCLUDING WITHOUT LIMITATION LOSS
        OF PROFITS OR FOR ANY OTHER SPECIAL, CONSEQUENTIAL, EXEMPLARY OR
        INCIDENTAL DAMAGES, HOWEVER CAUSED, WHETHER BASED UPON
        CONTRACT, NEGLIGENCE, STRICT LIABILITY IN TORT, WARRANTY, OR ANY
        OTHER LEGAL THEORY.  THE PARTIES INTEND THAT THIS LIMITATION
        SHOULD APPLY EVEN IF IT CAUSES ANY WARRANTY TO FAIL OF ITS
        ESSENTIAL PURPOSE.
        </p>
    </li>

    <li>
        <h4>Choice of Law &amp; Forum Selection</h4>
        <p>
        You agree that any claims under these Terms will be subject to the laws of the State of
        Oregon and of the United States of America, and you hereby consent to the exclusive jurisdiction
        of, and venue in the courts of the State of Oregon.
        </p>

    </li>

    <li>
        <h4>Indemnification</h4>
        <p>
        You agree to indemnify, defend and hold harmless us, our officers, directors, employees,
        agents, licensors, suppliers and any third-party information providers to the Service from and
        against all losses, expenses, damages and costs, including reasonable attorneys' fees,  resulting
        from any violation of these Terms, or any negligent or wrongful activity related to the use of the
        Service, by you or any other person accessing the Service using your account.
        </p>
    </li>

    <li>

        <h4>No Third Party Beneficiaries</h4>
        <p>
        These Terms create no third party rights or obligations between Jive and any other person.  It
        is understood and agreed that the parties do not intend that any third party should be a
        beneficiary of these Terms.
        </p>
    </li>

    <li>
        <h4>Severability &amp; Waiver</h4>

        <p>
        The invalidity of any term or provision of these Terms will not affect the validity of any
        other provision.  Waiver by Jive of strict performances of any provision of these Terms will not
        be a waiver of or prejudice Jive's right to require strict performance of the same provision in the
        future or of any other provision of these Terms.
        </p>
    </li>

    <li>
        <h4>Entire Agreement</h4>
        <p>
        These Terms constitute the entire agreement between the parties as to their subject matter,
        and there are no promises, terms, conditions, or obligations between the parties as to the subject
        matter of these Terms, other than those contained in these Terms.  No modification of these
        Terms will be valid unless in writing and signed by both parties.
        </p>

    </li>

    <li>
        <h4>Contact Information</h4>
        <p>
        Please view our <a href="https://www.jivesoftware.com/company/contact-form.jsp?source=Website-Ignite">contact page</a>.
        </p>
        <p>

        For technical support, please use our
        <a href="https://discourse.igniterealtime.org/">community forums</a>.
        </p>
    </li>
</ol>

                
                </div>
            
            </div>
            <!-- END body content area -->
            
        </div>
        <!-- END left column (main content) -->
        
        <!-- BEGIN right column (sidebar) -->
        <div id="ignite_body_rightcol">
            
            
            

            
            
        </div>
        <!-- END right column (sidebar) -->
    
    </div>
    <!-- END body area -->



</body>
</html>
